Package com.usatiuk.dhfs.jkleppmanntree.structs

# Record Class JKleppmannTreePersistentData

java.lang.Object
java.lang.Record
com.usatiuk.dhfs.jkleppmanntree.structs.JKleppmannTreePersistentData

All Implemented Interfaces:
  `JDataRefcounted`, `JData`, `Serializable`

public record JKleppmannTreePersistentData(JObjectKey key, org.pcollections.PCollection<JDataRef> refsFrom, boolean frozen, long clock, org.pcollections.PMap<PeerId,org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>>> queues, org.pcollections.PMap<PeerId,Long> peerTimestampLog, org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,LogRecord<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>> log) extends Record implements JDataRefcounted

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`JKleppmannTreePersistentData(JObjectKey key, org.pcollections.PCollection<JDataRef> refsFrom, boolean frozen, long clock, org.pcollections.PMap<PeerId,org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>>> queues, org.pcollections.PMap<PeerId,Long> peerTimestampLog, org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,LogRecord<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>> log)`
Creates an instance of a `JKleppmannTreePersistentData` record class.

## Method Summary

Modifier and Type
Method
Description
`long`
`clock()`
Returns the value of the `clock` record component.
`Collection<JObjectKey>`
`collectRefsTo()`
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`boolean`
`frozen()`
Returns the value of the `frozen` record component.
`final int`
`hashCode()`
Returns a hash code value for this object.
`JObjectKey`
`key()`
Returns the value of the `key` record component.
`org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,LogRecord<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>>`
`log()`
Returns the value of the `log` record component.
`org.pcollections.PMap<PeerId,Long>`
`peerTimestampLog()`
Returns the value of the `peerTimestampLog` record component.
`org.pcollections.PMap<PeerId,org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>>>`
`queues()`
Returns the value of the `queues` record component.
`org.pcollections.PCollection<JDataRef>`
`refsFrom()`
Returns the value of the `refsFrom` record component.
`final String`
`toString()`
Returns a string representation of this record class.
`JKleppmannTreePersistentData`
`withClock(long clock)`
`JKleppmannTreePersistentData`
`withFrozen(boolean frozen)`
`JKleppmannTreePersistentData`
`withLog(org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,LogRecord<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>> log)`
`JKleppmannTreePersistentData`
`withPeerTimestampLog(org.pcollections.PMap<PeerId,Long> peerTimestampLog)`
`JKleppmannTreePersistentData`
`withQueues(org.pcollections.PMap<PeerId,org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>>> queues)`
`JKleppmannTreePersistentData`
`withRefsFrom(org.pcollections.PCollection<JDataRef> refs)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.usatiuk.objects.JData

`estimateSize`

## Constructor Details

### JKleppmannTreePersistentData

public JKleppmannTreePersistentData(JObjectKey key, org.pcollections.PCollection<JDataRef> refsFrom, boolean frozen, long clock, org.pcollections.PMap<PeerId,org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>>> queues, org.pcollections.PMap<PeerId,Long> peerTimestampLog, org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,LogRecord<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>> log)
Creates an instance of a `JKleppmannTreePersistentData` record class.

Parameters:
  `key` - the value for the `key` record component
  `refsFrom` - the value for the `refsFrom` record component
  `frozen` - the value for the `frozen` record component
  `clock` - the value for the `clock` record component
  `queues` - the value for the `queues` record component
  `peerTimestampLog` - the value for the `peerTimestampLog` record component
  `log` - the value for the `log` record component

## Method Details

### withRefsFrom

public JKleppmannTreePersistentData withRefsFrom(org.pcollections.PCollection<JDataRef> refs)

Specified by:
  `withRefsFrom` in interface `JDataRefcounted`

### withFrozen

public JKleppmannTreePersistentData withFrozen(boolean frozen)

Specified by:
  `withFrozen` in interface `JDataRefcounted`

### withClock

public JKleppmannTreePersistentData withClock(long clock)

### withQueues

public JKleppmannTreePersistentData withQueues(org.pcollections.PMap<PeerId,org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>>> queues)

### withPeerTimestampLog

public JKleppmannTreePersistentData withPeerTimestampLog(org.pcollections.PMap<PeerId,Long> peerTimestampLog)

### withLog

public JKleppmannTreePersistentData withLog(org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,LogRecord<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>> log)

### collectRefsTo

public Collection<JObjectKey> collectRefsTo()

Specified by:
  `collectRefsTo` in interface `JDataRefcounted`

### toString

public final String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.

### key

public JObjectKey key()
Returns the value of the `key` record component.

Specified by:
  `key` in interface `JData`
Returns:
  the value of the `key` record component

### refsFrom

public org.pcollections.PCollection<JDataRef> refsFrom()
Returns the value of the `refsFrom` record component.

Specified by:
  `refsFrom` in interface `JDataRefcounted`
Returns:
  the value of the `refsFrom` record component

### frozen

public boolean frozen()
Returns the value of the `frozen` record component.

Specified by:
  `frozen` in interface `JDataRefcounted`
Returns:
  the value of the `frozen` record component

### clock

public long clock()
Returns the value of the `clock` record component.

Returns:
  the value of the `clock` record component

### queues

public org.pcollections.PMap<PeerId,org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>>> queues()
Returns the value of the `queues` record component.

Returns:
  the value of the `queues` record component

### peerTimestampLog

public org.pcollections.PMap<PeerId,Long> peerTimestampLog()
Returns the value of the `peerTimestampLog` record component.

Returns:
  the value of the `peerTimestampLog` record component

### log

public org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,LogRecord<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>> log()
Returns the value of the `log` record component.

Returns:
  the value of the `log` record component